"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = checkHash;

var _errorTypes = _interopRequireDefault(require("./errorTypes"));

var _logWarning = _interopRequireDefault(require("./logWarning"));

var _scroller = _interopRequireDefault(require("./scroller"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function checkHash(location, offset) {
  var hash = location.hash;
  var selector = hash ? hash.substr(1) : null;
  var validElement = selector ? document.getElementById(selector) : null;

  if (hash && Boolean(validElement)) {
    (0, _scroller["default"])(hash, offset);
  } else if (hash && selector && !validElement) {
    (0, _logWarning["default"])(_errorTypes["default"].INVALID_HASH);
  }
}