// Copyright (c) 2021 Visiosto oy
// Licensed under the MIT License

import React from 'react';

export type AnchorLinkProps = {
  children: React.ReactNode;
  className?: string;
  gatsbyLinkProps?: {
    activeClassName?: string;
    activeStyle?: { [x: string]: number | string };
    className?: string;
    onClick?: React.MouseEventHandler | undefined;
    partiallyActive?: boolean;
    replace?: boolean;
    state?: object;
    to?: string;
  };
  onAnchorLinkClick?: React.MouseEventHandler | undefined;
  stripHash?: boolean;
  to: string;
};

export function AnchorLink(props: AnchorLinkProps): any;
