"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = scroller;

var _scrollToElement = _interopRequireDefault(require("scroll-to-element"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function scroller(target) {
  var offset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  var duration = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1000;
  var ease = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 'in-out-quint';
  (0, _scrollToElement["default"])(target, {
    duration: duration,
    offset: offset,
    ease: ease
  });
}